%define upstream_name    Dist-Zilla-Plugin-NoSmartCommentsTests
%define upstream_version 0.006

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Make sure no Smart::Comments escape into the wild
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Dist::Zilla::Plugin::InlineFiles)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.310.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Moose)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(namespace::autoclean)
BuildArch:  noarch

%description
This is an extension of the Dist::Zilla::Plugin::InlineFiles manpage,
providing the following file:

  xt/release/no-smart-comments.t - test to ensure no Smart::Comments

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes INSTALL LICENSE META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.6.0-3.mga4
+ Revision: 511121
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.6.0-2.mga3
+ Revision: 366294
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 15 2011 jquelin <jquelin> 0.6.0-1.mga2
+ Revision: 106869
- update to 0.006

* Sun Apr 03 2011 jquelin <jquelin> 0.5.0-1.mga1
+ Revision: 80070
- update to 0.005

* Fri Mar 18 2011 jquelin <jquelin> 0.4.0-1.mga1
+ Revision: 74112
- update to 0.004

* Wed Mar 16 2011 jquelin <jquelin> 0.3.0-1.mga1
+ Revision: 72329
- update to 0.003

* Mon Mar 14 2011 jquelin <jquelin> 0.2.0-1.mga1
+ Revision: 71266
- imported package perl-Dist-Zilla-Plugin-NoSmartCommentsTests


* Mon Mar 14 2011 cpan2dist 0.002-1mga
- initial mageia release, generated with cpan2dist
